'''
dependencyCheck.py

Copyright 2006 Andres Riancho

This file is part of w3af, w3af.sourceforge.net .

w3af is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation version 2 of the License.

w3af is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with w3af; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

'''

'''
This module defines a dependencyCheck function.

@author: Andres Riancho ( andres.riancho@gmail.com )
'''

import core.controllers.outputManager as om
import sys

def dependencyCheck():
	om.out.debug('Checking dependencies:')
	
	try:
		import extlib.pygoogle.google as pygoogle
	except:
		try:
			import google as pygoogle
		except Exception, e:
			print 'You have to install pygoogle lib.'
			print 'Error: ' + str(e)
			sys.exit( 1 )
	
	try:
		import extlib.ctypes.ctypes as ctypes
	except:
		try:
			import ctypes
		except Exception, e:
			print 'You have to install ctypes lib; utidy lib depends on it.'
			print 'Error: ' + str(e)
			sys.exit( 1 )
	
	try:
		import extlib.utidylib as tidy
	except:
		try:
			import tidy
		except Exception, e:
			print 'You have to install utidy lib.'
			print 'Error: ' + str(e)
			sys.exit( 1 )			
